Skip to content

Get a theme profile

GET/v2/competitions/{competitionId}/theme-profiles/{profileId}

GET
/v2/competitions/{competitionId}/theme-profiles/{profileId}
curl --request GET \
--url https://api.ligr.live/rest/v2/competitions/1/theme-profiles/1 \
--header 'Authorization: Bearer <token>'

Returns saved theme values and the default control room for a nonarchived competition profile. Both the competition and its theme must belong to your organization.

competitionId
required

Entity identifier

integer format: int32
>= 1
profileId
required

Entity identifier

integer format: int32
>= 1

Ok

Media typeapplication/json
object
id
required

Entity identifier

integer format: int32
>= 1
competitionId
required

Entity identifier

integer format: int32
>= 1
themeId
required

Entity identifier

integer format: int32
>= 1
name
required
string
defaultControlRoomId
required
integer format: int32
>= 1
isDefault
required
boolean
themeVariableValues
required
Array<object>
object
variableId
required

Variable id from the theme schema.

string
value
required
Any of:
string
Examplegenerated
{
"id": 1,
"competitionId": 1,
"themeId": 1,
"name": "example",
"defaultControlRoomId": 1,
"isDefault": true,
"themeVariableValues": [
{
"variableId": "example",
"value": "example"
}
]
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Competition, theme, control room, or profile not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}